security:
    password_hashers:
        Symfony\Component\Security\Core\User\PasswordAuthenticatedUserInterface: plaintext
    providers:
        users_in_memory:
            memory:
                users:
                    -   identifier: '%env(HTTP_BASIC_AUTH_USERNAME)%'
                        password: '%env(HTTP_BASIC_AUTH_PASSWORD)%'
                        roles: [ ROLE_USER ]
    firewalls:
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
        api:
            pattern: ^/api/jobs/updates
            stateless: true
            provider: users_in_memory
            http_basic: ~
        main:
            lazy: true

    # Easy way to control access for large sections of your site
    # Note: Only the *first* access control that matches will be used
    access_control:
        - { path: ^/api/jobs/updates, roles: ROLE_USER }
        - { path: ^/, roles: PUBLIC_ACCESS }
